<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::sensor::RumbleMessage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1sensor_1_1_rumble_message.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1sensor_1_1_rumble_message-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::sensor::RumbleMessage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::sensor::RumbleMessage:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1sensor_1_1_rumble_message.png" usemap="#flair::sensor::RumbleMessage_map" alt=""/>
  <map id="flair::sensor::RumbleMessage_map" name="flair::sensor::RumbleMessage_map">
<area href="classflair_1_1core_1_1_message.html" alt="flair::core::Message" shape="rect" coords="0,0,176,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a73fc18fc4bb82866e6bed2f2b2763031"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73fc18fc4bb82866e6bed2f2b2763031"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>RumbleMessage</b> (unsigned int leftForce, unsigned int leftTimeout, unsigned int rightForce, unsigned int rightTimeout)</td></tr>
<tr class="separator:a73fc18fc4bb82866e6bed2f2b2763031"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaba44271c1e981f4620712bfd85e7f9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaba44271c1e981f4620712bfd85e7f9b"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetLeftForce</b> () const </td></tr>
<tr class="separator:aaba44271c1e981f4620712bfd85e7f9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65389fbf7f51a48d6a2c2b91315ad603"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65389fbf7f51a48d6a2c2b91315ad603"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetLeftTimeout</b> () const </td></tr>
<tr class="separator:a65389fbf7f51a48d6a2c2b91315ad603"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0545ce268095f205770bf88aa5955133"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0545ce268095f205770bf88aa5955133"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetRightForce</b> () const </td></tr>
<tr class="separator:a0545ce268095f205770bf88aa5955133"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac17326bb45ed9fb1e5292dbbb25628b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac17326bb45ed9fb1e5292dbbb25628b8"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetRightTimeout</b> () const </td></tr>
<tr class="separator:ac17326bb45ed9fb1e5292dbbb25628b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a3580091b6dc0d5c4c0a27e64391c46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a3580091b6dc0d5c4c0a27e64391c46"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLeftForce</b> (unsigned int leftForce)</td></tr>
<tr class="separator:a6a3580091b6dc0d5c4c0a27e64391c46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65d055adcf3f5306fb45df0a24f07de5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65d055adcf3f5306fb45df0a24f07de5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLeftTimeout</b> (unsigned int leftTimeout)</td></tr>
<tr class="separator:a65d055adcf3f5306fb45df0a24f07de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0383e2f5f917a7630cbf5e519ac281e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0383e2f5f917a7630cbf5e519ac281e2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRightForce</b> (unsigned int rightForce)</td></tr>
<tr class="separator:a0383e2f5f917a7630cbf5e519ac281e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc8adfd0fbf17135fb9c13f3bf1c2c15"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc8adfd0fbf17135fb9c13f3bf1c2c15"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRightTimeout</b> (unsigned int rightTimeout)</td></tr>
<tr class="separator:afc8adfd0fbf17135fb9c13f3bf1c2c15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_message"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_message')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_message.html">flair::core::Message</a></td></tr>
<tr class="memitem:a4730ff306a69775b23d9817b55cd16f2 inherit pub_methods_classflair_1_1core_1_1_message"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4730ff306a69775b23d9817b55cd16f2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Message</b> (unsigned int myBufferSize)</td></tr>
<tr class="separator:a4730ff306a69775b23d9817b55cd16f2 inherit pub_methods_classflair_1_1core_1_1_message"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_classflair_1_1core_1_1_message"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classflair_1_1core_1_1_message')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classflair_1_1core_1_1_message.html">flair::core::Message</a></td></tr>
<tr class="memitem:a557839f1c97332640b84dbbecc15c7bd inherit pub_attribs_classflair_1_1core_1_1_message"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a557839f1c97332640b84dbbecc15c7bd"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>buffer</b></td></tr>
<tr class="separator:a557839f1c97332640b84dbbecc15c7bd inherit pub_attribs_classflair_1_1core_1_1_message"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd8cab75ae376ed12f83a291f767d8f inherit pub_attribs_classflair_1_1core_1_1_message"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bd8cab75ae376ed12f83a291f767d8f"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>bufferSize</b></td></tr>
<tr class="separator:a1bd8cab75ae376ed12f83a291f767d8f inherit pub_attribs_classflair_1_1core_1_1_message"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1sensor.html">sensor</a></li><li class="navelem"><a class="el" href="classflair_1_1sensor_1_1_rumble_message.html">RumbleMessage</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
